Bug 1291428 - syslinux: request small updates to the spec file to allow rebuild on RHEL7
syslinux: request small updates to the spec file to allow rebuild on RHEL7
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: syslinux (Show other bugs)
24
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 15:51 EST by giulioo
Modified: 2017-12-14 04:21 EST (History)
3 users (show)

See Also:
Fixed In Version: syslinux-6.04-0.7.fc27 syslinux-6.04-0.7.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-10 00:06:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Make spec file compatible with rhel7 (735 bytes, patch)
2015-12-14 15:51 EST, giulioo
no flags Details | Diff

  None (edit)
Description giulioo 2015-12-14 15:51:26 EST
Created attachment 1105695 [details]
Make spec file compatible with rhel7

Description of problem:
The SPEC file causes errors when the syslinux src.rpm is rebuilt on RHEL7
 
NOTE: I do understand RHEL7 will never get a syslinux update, and for this
reason I think it would be nice if you could make the rawhide's src.rpm
compatible with RHEL7 to make life easier for users who want/need to use the
updated syslinux on RHEL7.

 
Version-Release number of selected component (if applicable):
syslinux-6.03-6.fc24.src.rpm
 
How reproducible:
Always

 
Steps to Reproduce:
On a RHEL7/x86_64 system:
rpmbuild --rebuild syslinux-6.03-6.fc24.src.rpm


Actual results:
RPM build errors:
    File listed twice: /usr/share/syslinux/com32
    Binaries arch (1) not matching the package arch (2).
    Installed (but unpackaged) file(s) found:
   /usr/share/doc/syslinux/sample/sample.msg
 
Expected results:
no error
 
 
I'm attaching a patch with the proposed changes.

With the attached patch the RPMS get built w/o errors, but there's still a problem since the  file
/usr/share/syslinux/syslinux64.exe
is in both syslinux and syslinux-nonlinux

I don't understand why the spec files has this in "syslinux" package
%ifarch %{ix86}
%{_datadir}/syslinux/syslinux.exe
%else
%{_datadir}/syslinux/syslinux64.exe
%endif

shouldn't all of these be in "syslinux-nonlinux" since exe's are not run on Linux?

Thanks
Comment 1 Jan Kurik 2016-02-24 10:43:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Robert Scheck 2017-03-24 21:57:53 EDT
Thank you for the report, I fixed this with syslinux-6.04-0.3.fc27 using
my provenpackager permissions after a short IRC dialog with Peter. I am
not sure if it matches your expectations completely, given you filed this
report against an older release of Fedora. Note: I changed your patch a
bit to avoid breaking builds on current Fedora releases instead.
Comment 3 Fedora End Of Life 2017-07-25 15:38:23 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-08-08 08:31:31 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Fedora Update System 2017-11-25 21:30:07 EST
syslinux-6.04-0.7.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e8e9bcb0f
Comment 6 Fedora Update System 2017-11-26 23:33:42 EST
syslinux-6.04-0.7.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e8e9bcb0f
Comment 7 Fedora Update System 2017-11-28 02:23:44 EST
syslinux-6.04-0.7.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d9fb12e2aa
Comment 8 Fedora Update System 2017-12-10 00:06:04 EST
syslinux-6.04-0.7.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2017-12-14 04:21:16 EST
syslinux-6.04-0.7.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.